SystemOrganization addCategory: #'Seaside-Pharo-JSON-Core'!

!GRPackage class methodsFor: '*seaside-pharo-json-core' stamp: 'pmm 5/6/2012 15:59'!
seasidePharoJsonCore
	^ self new
		name: 'Seaside-Pharo-JSON-Core';
		addDependency: 'Seaside-JSON-Core';
		url: #seasideUrl;
		yourself! !

WAPharoEncoder subclass: #WAPharoJsonEncoder
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Pharo-JSON-Core'!

!WAPharoJsonEncoder class methodsFor: 'private' stamp: 'pmm 5/6/2012 15:39'!
delegateOn: aStream
	^ WAJsonEncoder on: aStream! !

!WAPharoJsonEncoder class methodsFor: 'class initialization' stamp: 'pmm 5/6/2012 15:42'!
initialize
	self initializeJsonTable! !

!WAPharoJsonEncoder class methodsFor: 'class initialization' stamp: 'pmm 2/1/2014 12:29'!
initializeJsonTable
	table := (ByteArray new: 256) atAllPut: 0.
	0 to: 31 do: [ :index | 
		table 
			at: index + 1
			put: 1 ].
	table at: $" greaseInteger + 1 put: 1.
	table at: $\ greaseInteger + 1 put: 1! !

!GRPharoPlatform methodsFor: '*seaside-pharo-json-core' stamp: 'pmm 5/6/2012 15:44'!
jsonEncoderOn: aStream
	^ WAPharoJsonEncoder on: aStream! !

!WAJsonCanvas methodsFor: '*seaside-pharo-json-core' stamp: 'pmm 9/15/2013 11:47'!
scaledDecimal: aScaledDecimal
	| converter |
	converter := GRNumberPrinter new precision: aScaledDecimal scale.
	converter print: aScaledDecimal on: self document stream! !

!ScaledDecimal methodsFor: '*seaside-pharo-json-core' stamp: 'pmm 9/15/2013 11:49'!
jsonOn: aRenderer
	aRenderer scaledDecimal: self! !
WAPharoJsonEncoder initialize!
